tclap 1.2.1

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
TCLAP::StringLikeTrait Struct Reference

A class can inherit from this object to make it have string like traits. More...

`#include <ArgTraits.h>`

## Public Types
typedef StringLike | ValueCategory

## Public Member Functions
virtual | ~StringLikeTrait ()

## Detailed Description

A class can inherit from this object to make it have string like traits.

This is a compile time thing and does not add any overhead to the inherenting class.

Definition at line 57 of file ArgTraits.h.

## Member Typedef Documentation

typedef StringLike TCLAP::StringLikeTrait::ValueCategory

Definition at line 58 of file ArgTraits.h.

## Constructor & Destructor Documentation

virtual TCLAP::StringLikeTrait::~StringLikeTrait | ( |  | ) |
| inline virtual

Definition at line 59 of file ArgTraits.h.

The documentation for this struct was generated from the following file:

- ArgTraits.h